# Class JBoolean

java.lang.Object
org.apache.jute.compiler.JType
org.apache.jute.compiler.JBoolean

public class JBoolean extends JType

## Field Summary

### Fields inherited from class JType

`mMethodSuffix`

## Constructor Summary

Constructors
Constructor
Description
`JBoolean()`
Creates a new instance of JBoolean.

## Method Summary

Modifier and Type
Method
Description
`String`
`genJavaCompareTo(String fname)`
`String`
`genJavaHashCode(String fname)`
`String`
`getSignature()`

### Methods inherited from class JType

`genCsharpConstructorParam, genCsharpDecl`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JBoolean

public JBoolean()
Creates a new instance of JBoolean.

## Method Details

### getSignature

public String getSignature()

### genJavaCompareTo

public String genJavaCompareTo(String fname)

### genJavaHashCode

public String genJavaHashCode(String fname)